from fastapi.datastructures import QueryParams
from sqlmodel import select

from openec2.config import OpenEC2Config
from openec2.db import DatabaseDep
from openec2.db.image import AMI

def describe_images(
    params: QueryParams,
    config: OpenEC2Config,
    db: DatabaseDep,
):
    amis = db.exec(select(AMI)).all()
    return ", ".join(ami.id for ami in amis)
