from pydantic_xml import BaseXmlModel, element

from openec2.api.shared import InstanceState


class StartInstancesResponseInstancesSetInstance(
    BaseXmlModel,
    tag="item",
):
    instance_id: str = element(tag="instanceId")
    previous_state: InstanceState = element("previousState")
    current_state: InstanceState = element("currentState")

class StartInstancesResponseInstancesSet(
    BaseXmlModel,
    tag="instancesSet",
):
    item: list[StartInstancesResponseInstancesSetInstance] = element()

class StartInstancesResponse(
    BaseXmlModel,
    tag="StartInstancesResponse",
    nsmap={"": "http://ec2.amazonaws.com/doc/2016-11-15/"}
):
    request_id: str = element(tag="requestId")
    instances_set: StartInstancesResponseInstancesSet
