from typing import Generator, Annotated
from fastapi import Depends
from sqlmodel import Session, create_engine

engine = create_engine(
    "sqlite:////home/alexander/openec2/db2.sqlite3",
    connect_args={
        "check_same_thread": False,
    },
    echo=True,
)

def get_session() -> Generator[Session]:
    with Session(engine) as session:
        yield session

DatabaseDep = Annotated[Session, Depends(get_session)]
