from sqlmodel import SQLModel, Field, JSON, Column

class Instance(SQLModel, table=True):
    id: str = Field(default=None, primary_key=True)

    # Tags associated with the VM
    tags: dict = Field(sa_column=Column(JSON), default={})

    # ImageID of the used AMI
    imageId: str

    # Optional user data associated with the VM
    userData: str | None

    # MAC of the network interface
    interfaceMac: str

    # Private IPv4 of the instance
    privateIPv4: str
