import libvirt

from openec2.config import ConfigSingleton


class LibvirtSingleton:
    __instance: "LibvirtSingleton | None" = None

    # The connection to libvirt
    connection: libvirt.virConnect

    def __init__(self):
        self.connection = libvirt.open(
            ConfigSingleton.of().config.libvirt.connection,
        )

    def __del__(self):
        self.connection.close()

    @staticmethod
    def of() -> "LibvirtSingleton":
        if LibvirtSingleton.__instance is None:
            LibvirtSingleton.__instance = LibvirtSingleton()
        return LibvirtSingleton.__instance
